package transportgraph;

/** Standard feature types for the TransportGraph. */
public enum TransportDataType {

    /**Boolean value.*/
    booleanValue("boolean"),
    /**Integer value.*/
    intValue("integer"),
    /**String value.*/
    stringValue("string"),
    /**Double value.*/
    doubleValue("double");

    /** Name of feature in Knime. */
    private final String m_knimeEncoding;

    /**
     * @return the KNIME encoding
     */
    public String getKnimeEncoding() {
        return m_knimeEncoding;
    }

    private TransportDataType(final String encoding) {
        m_knimeEncoding = encoding;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String toString() {

        return "TransportDataType: type=\"" + this.name()
                + "\" knimeEncoding=\"" + m_knimeEncoding;
    }

}